
-- ----------------------------
-- Table structure for barrage
-- ----------------------------
DROP TABLE IF EXISTS `barrage`;
CREATE TABLE `barrage`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `message` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息内容',
  `user_id` int(11) NOT NULL COMMENT '用户Id',
  `created` bigint(13) NOT NULL COMMENT '发送时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '弹幕消息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for item
-- ----------------------------
DROP TABLE IF EXISTS `item`;
CREATE TABLE `item`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '节目名称',
  `performer_list` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '演员名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '节目表信息' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of item
-- ----------------------------
INSERT INTO `item` VALUES (1, '舞蹈：《名字太长容易被记住的一段尬舞》', '');
INSERT INTO `item` VALUES (2, '小品：《浪漫办公室》', '');
INSERT INTO `item` VALUES (3, '小品：《我是神仙》', '');
INSERT INTO `item` VALUES (4, '相声：《程序员的那些事》', '');
INSERT INTO `item` VALUES (5, '舞蹈：《重返1990》', '');
INSERT INTO `item` VALUES (6, '歌曲：《贝加尔湖畔》', '');
INSERT INTO `item` VALUES (7, '舞蹈：《我是一颗糖》', '');
INSERT INTO `item` VALUES (8, '小品：《三句半》', '');
INSERT INTO `item` VALUES (9, '歌曲：《知否知否》', '');
INSERT INTO `item` VALUES (10, '小品：《畅移四美》', '');
INSERT INTO `item` VALUES (11, '舞蹈：《追舞者》', '');

-- ----------------------------
-- Table structure for item_vote
-- ----------------------------
DROP TABLE IF EXISTS `item_vote`;
CREATE TABLE `item_vote`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `item_id` int(11) NOT NULL COMMENT '节目ID',
  `user_id` int(11) NOT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '节目投票表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for lottery
-- ----------------------------
DROP TABLE IF EXISTS `lottery`;
CREATE TABLE `lottery`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `user_id` int(11) NOT NULL COMMENT '用户id',
  `prize_id` int(11) NOT NULL COMMENT '奖项ID',
  `is_cancel` tinyint(1) NOT NULL COMMENT '是否取消 0=否 1=是',
  `is_next` tinyint(1) NOT NULL COMMENT '取消中奖后是否能再次参与 0=不能 1=能',
  `created` bigint(13) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '中奖记录表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for prize
-- ----------------------------
DROP TABLE IF EXISTS `prize`;
CREATE TABLE `prize`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `prize_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '奖项名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '奖项表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of prize
-- ----------------------------
INSERT INTO `prize` VALUES (1, '一等奖');
INSERT INTO `prize` VALUES (2, '二等奖');
INSERT INTO `prize` VALUES (3, '三等奖');
INSERT INTO `prize` VALUES (4, '四等奖');
INSERT INTO `prize` VALUES (5, '五等奖');

-- ----------------------------
-- Table structure for setting
-- ----------------------------
DROP TABLE IF EXISTS `setting`;
CREATE TABLE `setting`  (
  `key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '键',
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '值',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '描述'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '抽奖设置' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of setting
-- ----------------------------
INSERT INTO `setting` VALUES ('isStopSign', '1', '是否停止注册 1=停止 2=开启');
INSERT INTO `setting` VALUES ('isStartVote', '1', '是否开启节目投票通道 1=开启 2=关闭');
INSERT INTO `setting` VALUES ('voteUrl', 'https://yq.vchangyi.com/B7BCF1B00A692CB96953A60ECF016356/Questionnaire/h5/index.html#/app/page/questionnaire/fillin-questionnaire?_identifier=yuanquan&qu_id=20129', '节目投票通道url');

-- ----------------------------
-- Table structure for table_position
-- ----------------------------
DROP TABLE IF EXISTS `table_position`;
CREATE TABLE `table_position`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '桌位编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '桌位表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `realname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '姓名',
  `headimg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '自拍图片',
  `openid` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '微信openid',
  `status` int(1) NOT NULL DEFAULT 1 COMMENT '1=正常 2=删除 3=其他组织',
  `prize_no` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '奖号',
  `table_no` int(11) NOT NULL DEFAULT 0 COMMENT '桌位号',
  `created` bigint(13) NOT NULL DEFAULT 0 COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户表' ROW_FORMAT = Compact;

