/*
 Navicat Premium Data Transfer

 Source Server         : 灰度数据库
 Source Server Type    : MySQL
 Source Server Version : 50718
 Source Host           : sh-cdb-qxi8o7za.sql.tencentcdb.com:62140
 Source Schema         : party

 Target Server Type    : MySQL
 Target Server Version : 50718
 File Encoding         : 65001

 Date: 15/01/2020 10:43:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for barrage
-- ----------------------------
DROP TABLE IF EXISTS `barrage`;
CREATE TABLE `barrage`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `message` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '消息内容',
  `user_id` int(11) NOT NULL COMMENT '用户Id',
  `created` bigint(13) NOT NULL COMMENT '发送时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '弹幕消息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for item
-- ----------------------------
DROP TABLE IF EXISTS `item`;
CREATE TABLE `item`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '节目名称',
  `performer_list` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '演员名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '节目表信息' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of item
-- ----------------------------
INSERT INTO `item` VALUES (1, '舞蹈：《名字太长容易被记住的一段尬舞》', '[\r\n                    \"穆萧\",\r\n                    \"付瑾\",\r\n                    \"邹洋\",\r\n                    \"崔欣\",\r\n                    \"梁萧\",\r\n                    \"王月\",\r\n		    \"侯蕊\"\r\n                ]');
INSERT INTO `item` VALUES (2, '小品：《浪漫办公室》', '[\r\n	    \"张乐\",\r\n	    \"杨芳\",\r\n	    \"赵宝锋\",\r\n	    \"田甜\",\r\n	    \"杨堃\",\r\n	    \"王昱\",\r\n	    \"刘星宇\",\r\n	    \"王晓鹏\",\r\n	    \"齐云天\",\r\n	    \"赵晨欣\"\r\n	]');
INSERT INTO `item` VALUES (3, '歌曲：《我是神仙》', '[\r\n    \"赵洋\",\r\n    \"段龙\",\r\n    \"李向钊\",\r\n    \"樊元甲\",\r\n    \"于瑞智\",\r\n    \"赵楚睿\"\r\n]');
INSERT INTO `item` VALUES (4, '相声：《程序员的那些事》', '[\r\n    \"胡龙阳\",\r\n    \"吉王伟\"\r\n]');
INSERT INTO `item` VALUES (5, '舞蹈：《重返1990》', '[\r\n    \"师文科\",\r\n    \"韩祥\",\r\n    \"徐利利\",\r\n    \"朱云强\",\r\n    \"贾妍\"\r\n]');
INSERT INTO `item` VALUES (6, '歌曲：《贝加尔湖畔》', '[\r\n    \"石志威\",\r\n    \"郭天航\"\r\n]');
INSERT INTO `item` VALUES (7, '舞蹈：《我是一颗糖》', '[\r\n    \"齐文豪\",\r\n    \"张海印\",\r\n    \"陈耀宏\",\r\n    \"周长青\",\r\n    \"罗兰\",\r\n    \"李林欢\",\r\n    \"李云翔\"\r\n]');
INSERT INTO `item` VALUES (8, '小品：《前进的路》', '[\r\n    \"王佩璇\",\r\n    \"毛湘辉\",\r\n    \"王超\",\r\n    \"穆森\"\r\n]');
INSERT INTO `item` VALUES (9, '歌曲：《知否知否》', '[\r\n    \"齐云天\",\r\n    \"赵晨欣\"\r\n]');
INSERT INTO `item` VALUES (10, '小品：《畅移四美》', '[\r\n    \"白金乐\",\r\n    \"穆萧\",\r\n    \"黄晓敏\",\r\n    \"范亲\",\r\n    \"未阳\",\r\n    \"涂正平\"\r\n]');
INSERT INTO `item` VALUES (11, '舞蹈：《追舞者》', '[\r\n    \"王恒\",\r\n    \"梁欢\",\r\n    \"李瑛\",\r\n    \"魏帅\",\r\n    \"张和\",\r\n    \"雷瑾瑾\",\r\n    \"张倩\"\r\n]');

-- ----------------------------
-- Table structure for item_vote
-- ----------------------------
DROP TABLE IF EXISTS `item_vote`;
CREATE TABLE `item_vote`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `item_id` int(11) NOT NULL COMMENT '节目ID',
  `user_id` int(11) NOT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '节目投票表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for lottery
-- ----------------------------
DROP TABLE IF EXISTS `lottery`;
CREATE TABLE `lottery`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `user_id` int(11) NOT NULL COMMENT '用户id',
  `prize_id` int(11) NOT NULL COMMENT '奖项ID',
  `is_cancel` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否取消 0=否 1=是',
  `is_next` tinyint(1) NOT NULL DEFAULT 0 COMMENT '取消中奖后是否能再次参与 0=不能 1=能',
  `created` bigint(13) NOT NULL DEFAULT 0 COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '中奖记录表' ROW_FORMAT = Compact;

-- ----------------------------
-- Table structure for prize
-- ----------------------------
DROP TABLE IF EXISTS `prize`;
CREATE TABLE `prize`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `prize_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '奖项名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '奖项表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of prize
-- ----------------------------
INSERT INTO `prize` VALUES (1, '一等奖');
INSERT INTO `prize` VALUES (2, '二等奖');
INSERT INTO `prize` VALUES (3, '三等奖');
INSERT INTO `prize` VALUES (4, '四等奖');
INSERT INTO `prize` VALUES (5, '五等奖');

-- ----------------------------
-- Table structure for setting
-- ----------------------------
DROP TABLE IF EXISTS `setting`;
CREATE TABLE `setting`  (
  `key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '键',
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '值',
  `note` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '描述'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '抽奖设置' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of setting
-- ----------------------------
INSERT INTO `setting` VALUES ('isStopSign', '1', '是否停止注册 1=停止 2=开启');
INSERT INTO `setting` VALUES ('isStartVote', '2', '是否开启节目投票通道 1=开启 2=关闭');
INSERT INTO `setting` VALUES ('voteUrl', 'party.vchangyi.com/mobile.html', '节目投票通道url');

-- ----------------------------
-- Table structure for table_position
-- ----------------------------
DROP TABLE IF EXISTS `table_position`;
CREATE TABLE `table_position`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '桌位编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '桌位表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of table_position
-- ----------------------------
INSERT INTO `table_position` VALUES (1, '01');
INSERT INTO `table_position` VALUES (2, '02');
INSERT INTO `table_position` VALUES (3, '03');
INSERT INTO `table_position` VALUES (4, '04');
INSERT INTO `table_position` VALUES (5, '05');
INSERT INTO `table_position` VALUES (6, '06');
INSERT INTO `table_position` VALUES (7, '07');
INSERT INTO `table_position` VALUES (8, '08');
INSERT INTO `table_position` VALUES (9, '09');
INSERT INTO `table_position` VALUES (10, '10');
INSERT INTO `table_position` VALUES (11, '11');
INSERT INTO `table_position` VALUES (12, '12');
INSERT INTO `table_position` VALUES (13, '13');
INSERT INTO `table_position` VALUES (14, '14');
INSERT INTO `table_position` VALUES (15, '15');

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
  `realname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '姓名',
  `headimg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '自拍图片',
  `openid` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信openid',
  `status` int(1) NOT NULL DEFAULT 1 COMMENT '1=正常 2=删除 3=其他组织',
  `prize_no` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '奖号',
  `table_no` int(11) NULL DEFAULT 0 COMMENT '桌位号',
  `created` bigint(13) NULL DEFAULT 0 COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 160 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES (1, '赵永', '', '', 1, '001', 3, 0);
INSERT INTO `user` VALUES (2, '杨昕', '', '', 1, '002', 3, 0);
INSERT INTO `user` VALUES (3, '凌生龙', '', '', 1, '003', 3, 0);
INSERT INTO `user` VALUES (4, '赵勃', '', '', 1, '004', 3, 0);
INSERT INTO `user` VALUES (5, '谢常亮', '', '', 1, '005', 3, 0);
INSERT INTO `user` VALUES (6, '张弦', '', '', 1, '006', 3, 0);
INSERT INTO `user` VALUES (7, '朱北海', '', '', 1, '007', 3, 0);
INSERT INTO `user` VALUES (8, '陈刚', '', '', 1, '008', 3, 0);
INSERT INTO `user` VALUES (9, '高云欣', '', '', 1, '009', 3, 0);
INSERT INTO `user` VALUES (10, '戴广久', '', '', 1, '010', 2, 0);
INSERT INTO `user` VALUES (11, '张乐', '', '', 1, '011', 2, 0);
INSERT INTO `user` VALUES (12, '苗子', '', '', 1, '012', 2, 0);
INSERT INTO `user` VALUES (14, '孙骏', '', '', 1, '014', 2, 0);
INSERT INTO `user` VALUES (15, '黄宗豪', '', '', 1, '015', 2, 0);
INSERT INTO `user` VALUES (16, '张逸', '', '', 1, '016', 2, 0);
INSERT INTO `user` VALUES (17, '项勇', '', '', 1, '017', 2, 0);
INSERT INTO `user` VALUES (18, '卢虹', '', '', 1, '018', 2, 0);
INSERT INTO `user` VALUES (19, '郭金会', '', '', 1, '019', 2, 0);
INSERT INTO `user` VALUES (20, '孙丽丹', '', '', 1, '020', 2, 0);
INSERT INTO `user` VALUES (21, '王利平', '', '', 1, '021', 1, 0);
INSERT INTO `user` VALUES (22, '何岳龙', '', '', 1, '022', 1, 0);
INSERT INTO `user` VALUES (23, '王鹏飞', '', '', 1, '023', 1, 0);
INSERT INTO `user` VALUES (24, '侯英财', '', '', 1, '024', 1, 0);
INSERT INTO `user` VALUES (25, '王欢', '', '', 1, '025', 1, 0);
INSERT INTO `user` VALUES (26, '贺树鹏', '', '', 1, '026', 1, 0);
INSERT INTO `user` VALUES (27, '程雨佳', '', '', 1, '027', 11, 1578895364);
INSERT INTO `user` VALUES (28, '龚国新', '', '', 1, '028', 1, 0);
INSERT INTO `user` VALUES (29, '李坚', '', '', 1, '029', 1, 0);
INSERT INTO `user` VALUES (30, '魏帅', '', '', 1, '030', 1, 0);
INSERT INTO `user` VALUES (31, '宋双锋', '', '', 1, '031', 4, 0);
INSERT INTO `user` VALUES (32, '代军', '', '', 1, '032', 4, 0);
INSERT INTO `user` VALUES (33, '祁鸿川', '', '', 1, '033', 4, 0);
INSERT INTO `user` VALUES (34, '杨乔', '', '', 1, '034', 4, 0);
INSERT INTO `user` VALUES (35, '刘瑞', '', '', 1, '035', 4, 0);
INSERT INTO `user` VALUES (36, '胡龙阳', '', '', 1, '036', 4, 0);
INSERT INTO `user` VALUES (37, '张和', '', '', 1, '037', 4, 0);
INSERT INTO `user` VALUES (38, '李红斌', '', '', 1, '038', 4, 0);
INSERT INTO `user` VALUES (39, '李瑛', '', '', 1, '039', 4, 0);
INSERT INTO `user` VALUES (40, '杨冬', '', '', 1, '040', 9, 0);
INSERT INTO `user` VALUES (41, '田甜', 'http://party.vchangyi.com/upload/15789898298567.jpg', '', 1, '041', 8, 1578989829);
INSERT INTO `user` VALUES (42, '齐云天', '', '', 1, '042', 8, 0);
INSERT INTO `user` VALUES (43, '刘星宇', 'http://party.vchangyi.com/upload/15789857762343.jpg', '', 1, '043', 8, 1578985776);
INSERT INTO `user` VALUES (44, '王晓鹏', '', '', 1, '044', 8, 0);
INSERT INTO `user` VALUES (45, '赵宝峰', '', '', 1, '045', 8, 0);
INSERT INTO `user` VALUES (46, '赵晨欣', '', '', 1, '046', 8, 0);
INSERT INTO `user` VALUES (47, '杨堃', '', '', 1, '047', 8, 0);
INSERT INTO `user` VALUES (48, '杨芳', '', '', 1, '048', 8, 0);
INSERT INTO `user` VALUES (49, '王昱', '', '', 1, '049', 8, 0);
INSERT INTO `user` VALUES (50, '温和', '', '', 1, '050', 6, 0);
INSERT INTO `user` VALUES (51, '韩东', '', '', 1, '051', 6, 0);
INSERT INTO `user` VALUES (52, '马雄伟', '', '', 1, '052', 6, 0);
INSERT INTO `user` VALUES (53, '罗兰', '', '', 1, '053', 6, 0);
INSERT INTO `user` VALUES (54, '李云翔', '', '', 1, '054', 6, 0);
INSERT INTO `user` VALUES (55, '李林欢', '', '', 1, '055', 6, 0);
INSERT INTO `user` VALUES (56, '陈耀宏', '', '', 1, '056', 6, 0);
INSERT INTO `user` VALUES (57, '齐文豪', '', '', 1, '057', 6, 0);
INSERT INTO `user` VALUES (58, '张怀忠', '', '', 1, '058', 6, 0);
INSERT INTO `user` VALUES (59, '张海印', '', '', 1, '059', 6, 0);
INSERT INTO `user` VALUES (60, '周长青', '', '', 1, '060', 6, 0);
INSERT INTO `user` VALUES (61, '于瑞智', '', '', 1, '061', 4, 0);
INSERT INTO `user` VALUES (62, '吴文浩', '', '', 1, '062', 4, 0);
INSERT INTO `user` VALUES (63, '王朋朋', '', '', 1, '063', 5, 0);
INSERT INTO `user` VALUES (64, '施斌', '', '', 1, '064', 5, 0);
INSERT INTO `user` VALUES (65, '蔡鹏', '', '', 1, '065', 5, 0);
INSERT INTO `user` VALUES (66, '王龙飞', '', '', 1, '066', 5, 0);
INSERT INTO `user` VALUES (67, '段昭辉', '', '', 1, '067', 5, 0);
INSERT INTO `user` VALUES (68, '韩玉', '', '', 1, '068', 5, 0);
INSERT INTO `user` VALUES (69, '贺杠', '', '', 1, '069', 5, 0);
INSERT INTO `user` VALUES (70, '霍银刚', '', '', 1, '070', 5, 0);
INSERT INTO `user` VALUES (71, '胡彰正', '', '', 1, '071', 5, 0);
INSERT INTO `user` VALUES (72, '台德俊', '', '', 1, '072', 5, 0);
INSERT INTO `user` VALUES (73, '赵楚睿', '', '', 1, '073', 5, 0);
INSERT INTO `user` VALUES (74, '李玥', '', '', 1, '074', 9, 0);
INSERT INTO `user` VALUES (75, '张翔前端', '', '', 1, '075', 9, 0);
INSERT INTO `user` VALUES (76, '梁欢', '', '', 1, '076', 9, 0);
INSERT INTO `user` VALUES (77, '王永国', '', '', 1, '077', 9, 0);
INSERT INTO `user` VALUES (78, '赵奇', '', '', 1, '078', 9, 0);
INSERT INTO `user` VALUES (79, '陈志国', '', '', 1, '079', 9, 0);
INSERT INTO `user` VALUES (80, '王恒', '', '', 1, '080', 9, 0);
INSERT INTO `user` VALUES (81, '吉王伟', '', '', 1, '081', 9, 0);
INSERT INTO `user` VALUES (82, '潘伟', '', '', 1, '082', 9, 0);
INSERT INTO `user` VALUES (83, '薛春云', '', '', 1, '083', 9, 0);
INSERT INTO `user` VALUES (84, '白忠阳', '', '', 1, '084', 12, 0);
INSERT INTO `user` VALUES (85, '马雄飞', '', '', 1, '085', 12, 0);
INSERT INTO `user` VALUES (86, '邹修辉', '', '', 1, '086', 12, 0);
INSERT INTO `user` VALUES (87, '曹斌', '', '', 1, '087', 12, 0);
INSERT INTO `user` VALUES (88, '黄晓敏', '', '', 1, '088', 12, 0);
INSERT INTO `user` VALUES (89, '褚翔', '', '', 1, '089', 12, 0);
INSERT INTO `user` VALUES (90, '罗言寿', '', '', 1, '090', 12, 0);
INSERT INTO `user` VALUES (91, '徐帆', '', '', 1, '091', 12, 0);
INSERT INTO `user` VALUES (92, '陶颖秋', '', '', 1, '092', 12, 0);
INSERT INTO `user` VALUES (93, '张翔php', '', '', 1, '093', 12, 0);
INSERT INTO `user` VALUES (94, '康智彪', '', '', 1, '094', 15, 0);
INSERT INTO `user` VALUES (95, '涂正平', '', '', 1, '095', 15, 0);
INSERT INTO `user` VALUES (96, '未阳', '', '', 1, '096', 15, 0);
INSERT INTO `user` VALUES (97, '段龙', '', '', 1, '097', 15, 0);
INSERT INTO `user` VALUES (98, '刘雄', '', '', 1, '098', 15, 0);
INSERT INTO `user` VALUES (99, '赵洋', '', '', 1, '099', 15, 0);
INSERT INTO `user` VALUES (100, '樊元甲', '', '', 1, '100', 15, 0);
INSERT INTO `user` VALUES (101, '姜涛', '', '', 1, '101', 15, 0);
INSERT INTO `user` VALUES (102, '林云海', '', '', 1, '102', 15, 0);
INSERT INTO `user` VALUES (103, '宋鑫彬', '', '', 1, '103', 15, 0);
INSERT INTO `user` VALUES (104, '师文科', '', '', 1, '104', 13, 0);
INSERT INTO `user` VALUES (105, '范亲', '', '', 1, '105', 13, 0);
INSERT INTO `user` VALUES (106, '朱云强', '', '', 1, '106', 13, 0);
INSERT INTO `user` VALUES (107, '陈姣姣', '', '', 1, '107', 13, 0);
INSERT INTO `user` VALUES (108, '韩志刚', 'http://party.vchangyi.com/upload/15789780119845.jpg', '', 1, '108', 6, 1578978011);
INSERT INTO `user` VALUES (109, '韩祥', '', '', 1, '109', 13, 0);
INSERT INTO `user` VALUES (110, '徐利利', '', '', 1, '110', 13, 0);
INSERT INTO `user` VALUES (111, '王月', '', '', 1, '111', 13, 0);
INSERT INTO `user` VALUES (112, '梁霄', '', '', 1, '112', 13, 0);
INSERT INTO `user` VALUES (113, '张维华', '', '', 1, '113', 13, 0);
INSERT INTO `user` VALUES (114, '白金乐', '', '', 1, '114', 14, 0);
INSERT INTO `user` VALUES (115, '槐妮妮', '', '', 1, '115', 14, 0);
INSERT INTO `user` VALUES (116, '付瑾', '', '', 1, '116', 14, 0);
INSERT INTO `user` VALUES (117, '崔欣', '', '', 1, '117', 14, 0);
INSERT INTO `user` VALUES (118, '侯蕊', '', '', 1, '118', 14, 0);
INSERT INTO `user` VALUES (119, '高世飞', '', '', 1, '119', 14, 0);
INSERT INTO `user` VALUES (120, '穆萧', '', '', 1, '120', 14, 0);
INSERT INTO `user` VALUES (121, '王文杰', '', '', 1, '121', 14, 0);
INSERT INTO `user` VALUES (122, '邹洋', 'http://party.vchangyi.com/upload/15789918851309.jpg', '', 1, '122', 14, 1578991885);
INSERT INTO `user` VALUES (123, '李向钊', '', '', 1, '123', 14, 0);
INSERT INTO `user` VALUES (124, '王姣姣', '', '', 1, '124', 10, 0);
INSERT INTO `user` VALUES (125, '雷瑾瑾', '', '', 1, '125', 10, 0);
INSERT INTO `user` VALUES (126, '穆森', '', '', 1, '126', 11, 0);
INSERT INTO `user` VALUES (127, '王超', '', '', 1, '127', 10, 0);
INSERT INTO `user` VALUES (128, '张倩', '', '', 1, '128', 10, 0);
INSERT INTO `user` VALUES (129, '王佩璇', '', '', 1, '129', 10, 0);
INSERT INTO `user` VALUES (130, '廉阔', '', '', 1, '130', 10, 0);
INSERT INTO `user` VALUES (131, '毛相辉', '', '', 1, '131', 10, 0);
INSERT INTO `user` VALUES (132, '沐建昌', '', '', 1, '132', 10, 0);
INSERT INTO `user` VALUES (133, '严杰', '', '', 1, '133', 10, 0);
INSERT INTO `user` VALUES (134, '柴堇彭', '', '', 1, '134', 1, 1578887264);
INSERT INTO `user` VALUES (135, '王策', '', '', 1, '135', 6, 0);
INSERT INTO `user` VALUES (136, '梅杰', '', '', 1, '136', 6, 0);
INSERT INTO `user` VALUES (137, '景凯', '', '', 1, '137', 13, 0);
INSERT INTO `user` VALUES (138, '马海兵', '', '', 1, '138', 6, 0);
INSERT INTO `user` VALUES (139, '魏梦洁', 'http://party.vchangyi.com/upload/15789143153364.jpg', '', 1, '139', 6, 1578914315);
INSERT INTO `user` VALUES (140, '郭天航', '', '', 1, '140', 6, 0);
INSERT INTO `user` VALUES (141, '赵雪飞', '', '', 1, '141', 6, 0);
INSERT INTO `user` VALUES (142, '栗鑫', '', '', 1, '142', 6, 0);
INSERT INTO `user` VALUES (143, '石志威', '', '', 1, '143', 6, 0);
INSERT INTO `user` VALUES (144, '朱勇', '', '', 1, '144', 11, 0);
INSERT INTO `user` VALUES (145, '魏颖慧', '', '', 1, '145', 11, 0);
INSERT INTO `user` VALUES (146, '朱舫', '', '', 1, '146', 11, 0);
INSERT INTO `user` VALUES (147, '弥小利', '', '', 1, '147', 11, 0);
INSERT INTO `user` VALUES (148, '王小涵', '', '', 1, '148', 11, 0);
INSERT INTO `user` VALUES (149, '刘鹏伟', '', '', 1, '149', 1, 1532163515);
INSERT INTO `user` VALUES (150, '康博', '', '', 1, '150', 11, 0);
INSERT INTO `user` VALUES (151, '兰君', 'http://party.vchangyi.com/upload/15789973885824.jpg', '', 1, '151', 11, 1578997388);
INSERT INTO `user` VALUES (152, '李晓瑞', '', '', 1, '152', 11, 0);
INSERT INTO `user` VALUES (153, '张璐', '', '', 1, '153', 11, 0);
INSERT INTO `user` VALUES (154, '张凌波', '', '', 1, '154', 11, 0);
INSERT INTO `user` VALUES (155, '严宏弘', '', '', 1, '155', 11, 0);
INSERT INTO `user` VALUES (156, '贾妍', '', '', 1, '156', 11, 0);
INSERT INTO `user` VALUES (157, '楼佳妙', '', '', 1, '157', 3, 0);
INSERT INTO `user` VALUES (158, '黄爱华', '', '', 1, '158', 6, 0);
INSERT INTO `user` VALUES (159, '许阳', '', '', 1, '159', 6, 0);

SET FOREIGN_KEY_CHECKS = 1;
