<?php
    /**
     *  获取用户列表
     *  中奖用户列表会多给中奖类型和中奖时间
     */
    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/Encrypter.php";
    header('Access-Control-Allow-Origin:*');
    header("Access-Control-Allow-Methods:GET,POST");
    header("Access-Control-Allow-Headers:Content-Type,token,X-Requested-With");
    if(strtoupper($_SERVER['REQUEST_METHOD'])== 'OPTIONS'){ 
        exit; 
    } 
    // 身份验证
    // if (!isset($_COOKIE['admin'])) {
    //     JsonResponse::error('未登录');
    // }

    $type = 1;
    $award = '';
    // 获取展示类型 1=所有用户 2=中奖用户 3=未中奖用户
    if (isset($_GET['type'])) {
        $type = $_GET['type'];
    }
    if (isset($_GET['award']) && $type == 2) {
        $award = $_GET['award'];
    }
    $sql = '';
    $params = [];
    if ($type == 1) {
        // 所有用户sql
        $sql = "SELECT id, realname, headimg, `status` FROM user WHERE realname <> '' AND `status` <> 2";
    } else if ($type == 2) {
        // 获取中奖用户SQL
        $sql = "SELECT lottery.id as id,user_id,realname,headimg,award,lottery.created from lottery JOIN user ON user.id = lottery.user_id  WHERE realname <> '' AND headimg <> '' AND is_cancel = 0 ";
        // 如果传入了奖品名称，则查询该奖品的中奖人员
        if (!empty($award)) {
            $sql .= " AND award = ?";
            $params[] = $award;
        }
        $sql .= ' order by lottery.created desc';
    } else if ($type == 3) {
        // 查询未中奖用户Sql
        $sql = "SELECT id, realname, headimg FROM user WHERE realname <> '' AND headimg <> '' AND id NOT IN (SELECT user_id FROM lottery WHERE is_cancel = 0) AND `status` <> 2";
    }
    
    $mysql = new mysqlHelper();
    $data = $mysql->fetchAll($sql, $params);
    JsonResponse::result($data);